from django import forms
from .models import Contact

class ContactForm(forms.ModelForm):
    name = forms.CharField(required=False, label='Name', widget=forms.TextInput(attrs={'placeholder':'Please type your full name (not compulsory)'}))
    email = forms.CharField(label='Email', widget=forms.TextInput(attrs={'placeholder':'Please type a valid email address'}))
    phone_number = forms.CharField(label='Phone Number', widget=forms.TextInput(attrs={'placeholder':'Please type a valid phone number'}))
    message = forms.CharField(label='Message', widget=forms.Textarea(attrs={'placeholder':'Please type your message'}))
    class Meta:
        model = Contact
        fields = ['name', 'email', 'phone_number', 'message']
